---
updatedAt: 2025-09-23T20:55:26.000Z
agentTools:
  projectIndex: https://developers.berkeleypayment.com/llms.txt
---

# Create Financial Account

Associate a `Financial Account` to an `Account Holder`

The request body should contain a token created through the tokenization process.  An Account holder can not have multiple financial accounts for the same payment instrument (Payment Card or Bank Account).

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "DirectSend",
    "description": "DirectSend enables real-time fund transferring direct to any Visa cardholder. Funds reach the recipient's account within 30 minutes. You will receive real-time authorization of a transaction's success. /n You can use these endpoints for real-time funds disbursements, P2P transfers and Prepaid Loads.",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://api.staging.pungle.co/",
      "description": "Staging/Test"
    },
    {
      "url": "https://api.pungle.io",
      "description": "Production"
    }
  ],
  "paths": {
    "/api/v1/account_holders/{account_holder_id}/financial_accounts": {
      "post": {
        "tags": [
          "Financial Accounts"
        ],
        "summary": "Create Financial Account",
        "description": "Associate a `Financial Account` to an `Account Holder`\n\nThe request body should contain a token created through the tokenization process.  An Account holder can not have multiple financial accounts for the same payment instrument (Payment Card or Bank Account).",
        "operationId": "createFinancialAccount",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string",
                    "example": "pctk_co_7bV-lWZbAxroQjAnx8abD7312CF23A5ED3551"
                  }
                }
              },
              "example": {
                "token": "pctk_co_7bV-lWZbAxroQjAnx8abD7312CF23A5ED3551"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Create Financial Account",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "account_holder_id": {
                          "type": "number",
                          "example": 71,
                          "description": "The ID associated with the account holder (customer)"
                        },
                        "address_city": {
                          "type": "string",
                          "example": "Toronto",
                          "description": "Billing address city"
                        },
                        "address_country": {
                          "type": "string",
                          "example": "CAN",
                          "description": "Billing address country code CAN, USA; ESP"
                        },
                        "address_line1": {
                          "type": "string",
                          "example": "123 Front St",
                          "description": "Street number and street name"
                        },
                        "address_line2": {
                          "nullable": true,
                          "example": null,
                          "description": "Apartment number or suite number"
                        },
                        "address_postal_code": {
                          "type": "string",
                          "example": "M5V3Y4",
                          "description": "Canadian postal code or US ZIP code"
                        },
                        "address_state": {
                          "type": "string",
                          "example": "ON",
                          "description": "Billing address province associated with the card (2-char) ON, BC, AB etc."
                        },
                        "avs_check_status": {
                          "type": "string",
                          "example": "pass",
                          "description": "pass; fail; unchecked; unavailable. See Fraud Protection documentation for details"
                        },
                        "bin": {
                          "type": "string",
                          "example": "481509",
                          "description": "6 digit Bin number of issuer"
                        },
                        "brand": {
                          "type": "string",
                          "example": "visa",
                          "description": "The card brand used in the transaction: visa; mastercard"
                        },
                        "card_holder_type": {
                          "type": "string",
                          "example": "consumer",
                          "description": "The type of card used by the sender or recipient in the transaction: consumer or business"
                        },
                        "card_product_name": {
                          "type": "string",
                          "example": "Visa Infinite",
                          "description": "The name of the card product"
                        },
                        "card_subtype_code": {
                          "nullable": true,
                          "example": "Reloadable",
                          "description": "The type of Prepaid card: Reloadable; Non-Reloadable"
                        },
                        "currency": {
                          "type": "string",
                          "example": "CAD",
                          "description": "The 3 character currency code used for the transaction"
                        },
                        "cvv_check_status": {
                          "type": "string",
                          "example": "pass",
                          "description": "pass; fail; unchecked; unavailable. See Fraud Protection documentation for details"
                        },
                        "expiry_month": {
                          "type": "number",
                          "example": 10,
                          "description": "The expiry month of the card (MM)"
                        },
                        "expiry_year": {
                          "type": "number",
                          "example": 2020,
                          "description": "The expiry year of the card (YYYY)"
                        },
                        "fast_funds_enabled": {
                          "type": "boolean",
                          "example": true,
                          "description": "Whether or not the Recipient issuer articipates in Fast Funds"
                        },
                        "funding_type": {
                          "type": "string",
                          "example": "debit",
                          "description": "The type of card used for the transaction: credit; debit; prepaid"
                        },
                        "id": {
                          "type": "string",
                          "example": "visa_71_pctk_co_7-DoqYsD587LDFpU35XPB75329743B81F0016",
                          "description": ""
                        },
                        "issuer_country_code": {
                          "type": "string",
                          "example": "CAN",
                          "description": "3 character issuing country code"
                        },
                        "issuer_name": {
                          "type": "string",
                          "example": "Visa Test Bank",
                          "description": "The name of the Bank issuer"
                        },
                        "last_four_digits": {
                          "type": "string",
                          "example": "0016",
                          "description": "The last 4-digits of the card PAN; also used for easily identifying the card"
                        },
                        "name": {
                          "type": "string",
                          "example": "John Smith",
                          "description": "The full name of the sender or recipient"
                        },
                        "network_type": {
                          "type": "string",
                          "example": "visa",
                          "description": "name of the card network used"
                        },
                        "push_funds_enabled": {
                          "type": "boolean",
                          "example": true,
                          "description": "If the recipient's card accepts real-time deposits or not. If not, the funds will be deposited in 24-48hr"
                        },
                        "risk_level": {
                          "type": "string",
                          "example": "low",
                          "description": "Card risk level based on CVV, AVS and Watchlist (Beta)"
                        },
                        "status": {
                          "type": "string",
                          "example": "active",
                          "description": "Status of the card"
                        },
                        "type": {
                          "type": "string",
                          "example": "payment_card",
                          "description": "The type of financial account being tokenized. payment_card or bank_account"
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Create Financial Account": {
                    "value": {
                      "data": {
                        "account_holder_id": 71,
                        "address_city": "Toronto",
                        "address_country": "CAN",
                        "address_line1": "123 Front St",
                        "address_line2": null,
                        "address_postal_code": "M5V3Y4",
                        "address_state": "ON",
                        "avs_check_status": "pass",
                        "bin": "481509",
                        "brand": "visa",
                        "card_holder_type": "consumer",
                        "card_product_name": "Visa Infinite",
                        "card_subtype_code": null,
                        "currency": "CAD",
                        "cvv_check_status": "pass",
                        "expiry_month": "10",
                        "expiry_year": "2020",
                        "fast_funds_enabled": true,
                        "funding_type": "debit",
                        "id": "visa_71_pctk_co_7-DoqYsD587LDFpU35XPB75329743B81F0016",
                        "issuer_country_code": "CAN",
                        "issuer_name": "Visa Test Bank",
                        "last_four_digits": "0016",
                        "name": "John Smith",
                        "network_type": "visa",
                        "push_funds_enabled": true,
                        "risk_level": "low",
                        "status": "active",
                        "type": "payment_card"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      "parameters": [
        {
          "name": "account_holder_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string"
          }
        }
      ]
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```